Bug 71814 - maintainer-update of xmbmon port.
maintainer-update of xmbmon port.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-17 14:50 UTC by kaz
Modified: 2004-10-12 02:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaz 2004-09-17 14:50:25 UTC
	maintainer-update of xmbmon port.

Fix: 

-- 
<mailto:kaz@kobe1995.net>	NAKAMURA Kazushi@KOBE
<http://kobe1995.net/~kaz/index-e.html>
- Break the hate chain. No more kill!--6q5LdCEDDeyExGTYbSm9YpuTa6oJePfYCMDUKOqkaF750973
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xmbmon
#	xmbmon/Makefile
#	xmbmon/distinfo
#	xmbmon/pkg-descr
#	xmbmon/pkg-plist
#	xmbmon/files
#	xmbmon/files/patch-aa
#	xmbmon/files/patch-testsmb.c
#	xmbmon/files/patch-xmbmon.c
#
echo c - xmbmon
mkdir -p xmbmon > /dev/null 2>&1
echo x - xmbmon/Makefile
sed 's/^X//' >xmbmon/Makefile << 'END-of-xmbmon/Makefile'
X# Ports collection makefile for:	xmbmon
X# Date created:				2001/08/30
X# Whom:					kaz@kobe1995.net (NAKAMURA Kauzushi)
X#
X# $FreeBSD: ports/sysutils/xmbmon/Makefile,v 1.11 2004/05/24 20:22:41 pav Exp $
X#
X
XPORTNAME=	xmbmon
XPORTVERSION=	205
XCATEGORIES=	sysutils
XMASTER_SITES=	http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/
X.if defined(WITHOUT_X11)
XPKGNAMESUFFIX=	-nox11
X.endif
XDISTNAME=	${PORTNAME}${PORTVERSION}
X
XMAINTAINER=	kaz@kobe1995.net
XCOMMENT=	X/tty motherboard monitor for LM78/79, W8378x, AS99127F, VT82C686 and ADM9240
X
XGNU_CONFIGURE=	yes
X.if defined(WITHOUT_X11)
XPLIST_SUB=	X11_ONLY="@comment "
X.else
XUSE_XLIB=	yes
XPLIST_SUB=	X11_ONLY=""
X.endif
X
XMAKE_ARGS+=	DOCSDIR='${DOCSDIR}' INSTALL_DATA='${INSTALL_DATA}' PREFIX='${PREFIX}'
X
XMAN1=		xmbmon.1x
X
X.include <bsd.port.pre.mk>
X
X.if ${ARCH} != "i386" && ${ARCH} != "amd64"
XBROKEN=		"Does not compile on !i386 and !amd64"
X.endif
X
Xpre-everything::
X	@${ECHO_CMD} ""
X	@${ECHO_CMD} "Definable build options"
X	@${ECHO_CMD} "-----------------------"
X	@${ECHO_CMD} "WITHOUT_X11	- Self explanatory"
X	@${ECHO_CMD} ""
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	(cd ${WRKSRC}; ${MAKE} ${MAKE_ARGS} install-doc)
X.endif
X
X.include <bsd.port.post.mk>
END-of-xmbmon/Makefile
echo x - xmbmon/distinfo
sed 's/^X//' >xmbmon/distinfo << 'END-of-xmbmon/distinfo'
XMD5 (xmbmon205.tar.gz) = ab6614c785f5b653fcc69fb9c02058f0
XSIZE (xmbmon204.tar.gz) = 142987
END-of-xmbmon/distinfo
echo x - xmbmon/pkg-descr
sed 's/^X//' >xmbmon/pkg-descr << 'END-of-xmbmon/pkg-descr'
XThis is an X/tty motherboard monitor which supports LM78/79, WINBond
X83781D/83782D/83783S, ASUS 991227F, and VIA VT82C686A/B PC-health
Xchips via 3 methods: ISA-I/O, SMBus, VIA-direct.
X
XRun "mbmon -h" or "xmbmon -help" to see the usage.
X
X***CAUTION*** 
X
XThese programs access to the SMBus or the ISA-IO port directly under
Xthe superuser privilege, so it may cause a system crash.  Please test
X"mbmon -d" or "xmbmon -debug" first.
X
XWWW: http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/download.html
X-- 
Xkaz@kobe1995.net (NAKAMURA Kazushi)
END-of-xmbmon/pkg-descr
echo x - xmbmon/pkg-plist
sed 's/^X//' >xmbmon/pkg-plist << 'END-of-xmbmon/pkg-plist'
Xbin/mbmon
X%%X11_ONLY%%bin/xmbmon
X%%PORTDOCS%%%%DOCSDIR%%/ReadMe
X%%PORTDOCS%%%%DOCSDIR%%/ReadMe.jp
X%%PORTDOCS%%%%DOCSDIR%%/ReadMe.tech
X%%X11_ONLY%%%%PORTDOCS%%%%DOCSDIR%%/xmbmon.resources
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-xmbmon/pkg-plist
echo c - xmbmon/files
mkdir -p xmbmon/files > /dev/null 2>&1
echo x - xmbmon/files/patch-aa
sed 's/^X//' >xmbmon/files/patch-aa << 'END-of-xmbmon/files/patch-aa'
X--- Makefile.in.orig	Fri Aug 13 16:04:21 2004
X+++ Makefile.in	Fri Sep 17 05:34:33 2004
X@@ -26,8 +26,8 @@
X LIBSX=$(LIBS) @X_LIBS@ -lXt @X_PRE_LIBS@ -lX11 @X_EXTRA_LIBS@
X 
X #CC=/compat/linux/usr/bin/gcc
X-CC=@CC@
X-CFLAGS=-O3 $(INCLUDES) $(DEFS)
X+CC?=@CC@
X+CFLAGS+=$(INCLUDES) $(DEFS)
X CFLAGSX=$(CFLAGS) @X_CFLAGS@
X LDFLAGS=-s
X 
X@@ -37,19 +37,25 @@
X RM=rm -f
X INSTALL=install
X 
X-INST_DIR=/usr/local/bin
X-INST_MANDIR=/usr/local/man/man1
X-INST_XDIR=/usr/X11R6/bin
X-INST_MANXDIR=/usr/X11R6/man/man1
X-INST_XRDIR=/usr/X11R6/lib/X11/app-defaults
X+INST_DIR=$(PREFIX)/bin
X+INST_MANDIR=$(PREFIX)/man/man1
X+INST_XDIR=$(X11BASE)/bin
X+INST_MANXDIR=$(X11BASE)/man/man1
X+INST_XRDIR=$(X11BASE)/lib/X11/app-defaults
X  
X .c.o:
X 	$(CC) -c $(CFLAGS) $*.c
X 
X MANPAGE = mbmon.1 xmbmon.1x
X-PROGRAM = mbmon xmbmon
X-
X+PROGRAM = mbmon
X TESTPROG = testpci testsmb testhwm testfan
X+DOCS= ReadMe ReadMe.jp ReadMe.tech
X+.if !defined(WITHOUT_X11)
X+DOCS+=	xmbmon.resources
X+PROGRAM+= xmbmon
X+.endif
X+
X+all: $(PROGRAM) $(TESTPROG)
X 
X MB_OBJ  = getMB-via.o getMB-smb.o getMB-isa.o
X SMB_OBJ = smbuses.o smbus_piix4.o smbus_amd.o smbus_ali.o smbus_amd8.o
X@@ -133,12 +139,18 @@
X 	$(RM) Makefile config.cache config.log config.h config.status
X 
X install: $(PROGRAM)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p mbmon $(INST_DIR)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p xmbmon $(INST_XDIR)
X+	@for i in $(PROGRAM); do \
X+		$(INSTALL) -o root -g wheel -m 4555 -c -p $$i $(INST_DIR); \
X+	done
X 
X install-man: $(MANPAGE)
X 	$(INSTALL) -o root -g wheel -m 444 -c -p mbmon.1 $(INST_MANDIR)
X-	$(INSTALL) -o root -g wheel -m 444 -c -p xmbmon.1x $(INST_MANXDIR)
X+
X+install-doc:
X+	@for f in $(DOCS); do \
X+		$(INSTALL_DATA) $$f $(DOCSDIR)/; \
X+	done
X+	$(INSTALL) -o root -g wheel -m 444 -c -p xmbmon.1x $(INST_MANDIR)
X 
X lint:
X 	$(LINT) $(INCLUDES) $(DEFS) $(FONTDEFINES) $(SRCS) -lm
END-of-xmbmon/files/patch-aa
echo x - xmbmon/files/patch-testsmb.c
sed 's/^X//' >xmbmon/files/patch-testsmb.c << 'END-of-xmbmon/files/patch-testsmb.c'
X
X$FreeBSD: ports/sysutils/xmbmon/files/patch-testsmb.c,v 1.1 2004/08/02 07:56:24 krion Exp $
X
X--- testsmb.c.orig	Mon Aug  2 09:54:32 2004
X+++ testsmb.c	Mon Aug  2 09:55:00 2004
X@@ -126,7 +126,7 @@
X 		break;
X 	default:
X 		fprintf(stderr, "No known SMBus(I2C) chip found.\n");
X-		goto exit;
X+		continue;
X 	}
X 
X 	if(OpenIO() == -1) return -1;
X@@ -141,7 +141,6 @@
X 	}
X 	
X 	CloseIO();
X-exit:
X	;	/* dummy statment for gcc 3.4 or after */
X 
X   } /* endo of Big roop for smb_base candidates */
X   exit (0);
END-of-xmbmon/files/patch-testsmb.c
echo x - xmbmon/files/patch-xmbmon.c
sed 's/^X//' >xmbmon/files/patch-xmbmon.c << 'END-of-xmbmon/files/patch-xmbmon.c'
X--- xmbmon.c.orig	Mon Feb 23 00:32:24 2004
X+++ xmbmon.c	Mon Feb 23 00:32:43 2004
X@@ -32,7 +32,7 @@
X #define DEFAULT_CSEC        "20"
X #define DEFAULT_WSEC      "1800"
X #define DEFAULT_TMIN      "10.0"
X-#define DEFAULT_TMAX      "50.0"
X+#define DEFAULT_TMAX      "90.0"
X #define DEFAULT_TMINF     "50.0"	/* for Fahrenheit */
X #define DEFAULT_TMAXF     "130.0"	/* for Fahrenheit */
X #define DEFAULT_VMIN      "1.80"
END-of-xmbmon/files/patch-xmbmon.c
exit
Comment 1 Edwin Groothuis freebsd_committer 2004-10-12 02:08:10 UTC
State Changed
From-To: open->closed

Commited, thanks!